Skip to main content
GET
/
oauth-providers
List OAuth providers
curl --request GET \
  --url https://api.hexclave.com/api/v1/oauth-providers
import requests

url = "https://api.hexclave.com/api/v1/oauth-providers"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.hexclave.com/api/v1/oauth-providers', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "account_id": "google-account-id-12345",
      "user_id": "3241a285-8329-4d69-8f3d-316e08cf140c",
      "id": "b3d396b8-c574-4c80-97b3-50031675ceb2",
      "provider_config_id": "google",
      "type": "google",
      "allow_sign_in": true,
      "allow_connected_accounts": true,
      "email": "test@gmail.com"
    }
  ],
  "pagination": {
    "next_cursor": "b3d396b8-c574-4c80-97b3-50031675ceb2"
  }
}

Query Parameters

user_id
string

Response

200 - application/json

Successful response

items
object[]
required
pagination
object